EndpointsOrganization Types

Organization Types

Function-calling namespace: organizationTypes

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/organization-types/create

Input Fields

FieldTypeRequiredConstraints
idstringNo-
namestringYes-
platformServiceCategoryIdsarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationTypes",
  "apiName": "create",
  "data": {
    "name": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/organization-types/delete

Input Fields

FieldTypeRequiredConstraints
IDstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationTypes",
  "apiName": "delete",
  "data": {
    "ID": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

get

Source: backend/endpoints/organization-types/get

Input Fields

FieldTypeRequiredConstraints
IDstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationTypes",
  "apiName": "get",
  "data": {
    "ID": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/organization-types/list

Input Fields

FieldTypeRequiredConstraints
PageintegerNo-
PageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationTypes",
  "apiName": "list",
  "data": {
    "Page": 1,
    "PageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/organization-types/update

Input Fields

FieldTypeRequiredConstraints
IDstringYes-
namestringYesnullable
platformServiceCategoryIdsarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationTypes",
  "apiName": "update",
  "data": {
    "ID": "id_123",
    "name": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }